# ITrackGroup Struct Reference

Inheritance diagram for ITrackGroup:

List of all members.

## Public Member Functions
virtual INLATrack *MCCOMAPI | GetNLATrack ()=0
virtual int32 MCCOMAPI | GetTrackCount () const =0
virtual INLATrack *MCCOMAPI | GetTrack (int32 index) const =0
virtual INLATrack *MCCOMAPI | FindTrack (uint32 uniqueId) const =0
virtual int32 MCCOMAPI | GetTrackIndex (INLATrack *track)=0
virtual void MCCOMAPI | InsertTrack (INLATrack *track, int32 index=-1)=0
virtual void MCCOMAPI | RemoveTrack (int32 index)=0
virtual void MCCOMAPI | RemoveTrack (INLATrack *track)=0
virtual IClipTrack *MCCOMAPI | InsertClipTrack (int32 index=-1)=0
virtual ITrackGroup *MCCOMAPI | InsertTrackGroup (int32 index=-1)=0
virtual boolean MCCOMAPI | IsExpanded ()=0
virtual void MCCOMAPI | SetExpanded (boolean expanded)=0

## Member Function Documentation

virtual INLATrack* MCCOMAPI ITrackGroup::FindTrack | ( | uint32 | uniqueId | ) | const`[pure virtual]`

virtual INLATrack* MCCOMAPI ITrackGroup::GetNLATrack | ( |  | ) | `[pure virtual]`

virtual INLATrack* MCCOMAPI ITrackGroup::GetTrack | ( | int32 | index | ) | const`[pure virtual]`

virtual int32 MCCOMAPI ITrackGroup::GetTrackCount | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI ITrackGroup::GetTrackIndex | ( | INLATrack * | track | ) | `[pure virtual]`

virtual IClipTrack* MCCOMAPI ITrackGroup::InsertClipTrack | ( | int32 | index = `-1` | ) | `[pure virtual]`

virtual void MCCOMAPI ITrackGroup::InsertTrack | ( | INLATrack * | track,
|  | int32 | index = `-1` |
| ) |  |  | `[pure virtual]`

virtual ITrackGroup* MCCOMAPI ITrackGroup::InsertTrackGroup | ( | int32 | index = `-1` | ) | `[pure virtual]`

virtual boolean MCCOMAPI ITrackGroup::IsExpanded | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI ITrackGroup::RemoveTrack | ( | INLATrack * | track | ) | `[pure virtual]`

virtual void MCCOMAPI ITrackGroup::RemoveTrack | ( | int32 | index | ) | `[pure virtual]`

virtual void MCCOMAPI ITrackGroup::SetExpanded | ( | boolean | expanded | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- NLAInterfaces.h